import { MigrationInterface, QueryRunner } from "typeorm";

export class RankData1641293110305 implements MigrationInterface {

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`INSERT INTO "rank" (rank, name, category) VALUES
(1, 'GAA', 'Air et Espace'),
(1, 'GA', 'Terre'),
(1, 'A', 'Marine'),
(1, 'OF-10', 'OTAN'),
(2, 'GCA', 'Air et Espace'),
(2, 'GCA', 'Terre'),
(2, 'VAE', 'Marine'),
(2, 'OF-9', 'OTAN'),
(2, 'GCA', 'Gendarmerie'),
(3, 'GDA', 'Air et Espace'),
(3, 'GD', 'Terre'),
(3, 'VAE', 'Marine'),
(3, 'OF-8', 'OTAN'),
(3, 'GD', 'Gendarmerie'),
(4, 'GBA', 'Air et Espace'),
(4, 'GB', 'Terre'),
(4, 'CA', 'Marine'),
(4, 'OF-7', 'OTAN'),
(4, 'GB', 'Gendarmerie'),
(5, 'COL', 'Air et Espace'),
(5, 'COL', 'Terre'),
(5, 'CV', 'Marine'),
(5, 'OF-6', 'OTAN'),
(5, 'COL', 'Gendarmerie'),
(5, 'MEC1', 'SSA'),
(5, 'PB1', 'SSA'),
(5, 'CC1', 'Commissaire'),
(6, 'LCL', 'Air et Espace'),
(6, 'LCL', 'Terre'),
(6, 'CF', 'Marine'),
(6, 'OF-5', 'OTAN'),
(6, 'LCL', 'Gendarmerie'),
(6, 'MEC2', 'SSA'),
(6, 'PB2', 'SSA'),
(6, 'CC2', 'Commissaire'),
(7, 'CDT', 'Air et Espace'),
(7, 'CDT', 'Terre'),
(7, 'CC', 'Marine'),
(7, 'OF-4', 'OTAN'),
(7, 'CEN', 'Gendarmerie'),
(7, 'CES', 'Gendarmerie'),
(7, 'CBA', 'Gendarmerie'),
(7, 'MPA', 'SSA'),
(7, 'PBA', 'SSA'),
(7, 'CP', 'Commissaire'),
(8, 'CNE', 'Air et Espace'),
(8, 'CNE', 'Terre'),
(8, 'LV', 'Marine'),
(8, 'OF-3', 'OTAN'),
(8, 'CNE', 'Gendarmerie'),
(8, 'MDA', 'SSA'),
(8, 'VB', 'SSA'),
(8, 'COM', 'Commissaire'),
(8, 'CD', 'Autre'),
(9, 'LTT', 'Air et Espace'),
(9, 'LTT', 'Terre'),
(9, 'EV1', 'Marine'),
(9, 'OF-2', 'OTAN'),
(9, 'LTN', 'Gendarmerie'),
(9, 'AUM', 'Autre'),
(10, 'SLT', 'Air et Espace'),
(10, 'SLT', 'Terre'),
(10, 'EV2', 'Marine'),
(10, 'OF-1', 'OTAN'),
(10, 'SLT', 'Gendarmerie'),
(11, 'ASP', 'Air et Espace'),
(11, 'ASP', 'Terre'),
(11, 'ASP', 'Marine'),
(12, 'MAJ', 'Air et Espace'),
(12, 'MAJ', 'Terre'),
(12, 'MAJ', 'Marine'),
(12, 'OR-9', 'OTAN'),
(12, 'MJR', 'Gendarmerie'),
(13, 'ADC', 'Air et Espace'),
(13, 'ADC', 'Terre'),
(13, 'MP', 'Marine'),
(13, 'OR-8', 'OTAN'),
(13, 'ADC', 'Gendarmerie'),
(13, 'IBO', 'SSA'),
(14, 'ADJ', 'Air et Espace'),
(14, 'ADJ', 'Terre'),
(14, 'PM', 'Marine'),
(14, 'OR-7', 'OTAN'),
(14, 'ADJ', 'Gendarmerie'),
(14, 'ICN', 'SSA'),
(14, 'SMNC', 'SSA'),
(15, 'SGC', 'Air et Espace'),
(15, 'SCH', 'Terre'),
(15, 'MT', 'Marine'),
(15, 'OR-6', 'OTAN'),
(15, 'MCH', 'Gendarmerie'),
(15, 'TLAB', 'SSA'),
(16, 'SGT', 'Air et Espace'),
(16, 'SGT', 'Terre'),
(16, 'SM', 'Marine'),
(16, 'OR-5', 'OTAN'),
(16, 'MDL', 'Gendarmerie'),
(16, 'GEND', 'Gendarmerie'),
(16, 'MIL', 'Autre'),
(17, 'CLC', 'Air et Espace'),
(17, 'CCH', 'Terre'),
(17, 'QM1', 'Marine'),
(17, 'OR-4', 'OTAN'),
(17, 'CBH', 'Gendarmerie'),
(17, 'DEF', 'Autre'),
(18, 'CAL', 'Air et Espace'),
(18, 'CPL', 'Terre'),
(18, 'QM2', 'Marine'),
(18, 'OR-3', 'OTAN'),
(18, 'BGD', 'Gendarmerie'),
(18, 'BRI', 'Gendarmerie'),
(18, 'CIV', 'Autre'),
(18, 'MR', 'Autre'),
(18, 'ME', 'Autre'),
(18, 'ENFANT', 'Autre'),
(18, 'BB', 'Autre'),
(19, 'AV1', 'Air et Espace'),
(19, '1CL', 'Terre'),
(19, 'MO1', 'Marine'),
(19, 'OR-2', 'OTAN'),
(20, 'AVT', 'Air et Espace'),
(20, 'MDR', 'Terre'),
(20, 'MOT', 'Marine'),
(20, 'OR-1', 'OTAN'),
(20, 'SDT', 'Gendarmerie'),
(20, 'ASP', 'Gendarmerie'),
(20, '2CL', 'Gendarmerie')`);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
  }

}
